package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 增减类型(1.增加,2.扣除)枚举类
*
* @author zxfei
*/
public enum SubAddTypeEnum {
    增加(1, "增加"),
    扣除(2, "扣除");
    private Integer value;
    private String desc;

    SubAddTypeEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static SubAddTypeEnum getByValue(Integer value) {
        for (SubAddTypeEnum subAddTypeEnum : SubAddTypeEnum.values()) {
            if (subAddTypeEnum.getValue() == value) {
                return subAddTypeEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (SubAddTypeEnum item : SubAddTypeEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}